## ecryptfs-utils 87

=== debian/changelog ===
ecryptfs-utils (87-1) unstable; urgency=low

  * Merging upstream version 87.
  * Updating package to standards version 3.9.2.
  * Removing getent.patch, included upstream.
  * Renumbering remaining patches.
  * Adding libglib2.0-dev to build-depends.

 -- Daniel Baumann <daniel@debian.org>  Mon, 23 May 2011 07:26:48 +0200

ecryptfs-utils (84-2) experimental; urgency=low

  * Splitting out python module (Closes: #608597).
  * Adding patch to update pam conffile location in documentation for
    debian (Closes: #525159).
  * Updating year in copyright file.

 -- Daniel Baumann <daniel@debian.org>  Thu, 06 Jan 2011 13:45:10 +0100

ecryptfs-utils (84-1) experimental; urgency=low

  * Merging upstream version 84.

 -- Daniel Baumann <daniel@debian.org>  Mon, 20 Dec 2010 23:22:35 +0100

ecryptfs-utils (83-5) experimental; urgency=low

  * Switching to source format 3.0 (quilt).
  * Updating to debhelper version 8.
  * Simplyfing autotools handing in rules.
  * Making build-depends and depends unversioned where not required
    anymore.

 -- Daniel Baumann <daniel@debian.org>  Sun, 19 Dec 2010 21:07:08 +0100

ecryptfs-utils (83-4) unstable; urgency=medium

  * Adding patch to update setup parameter of ecryptfs-setup-private
    (Closes: #584544).

 -- Daniel Baumann <daniel@debian.org>  Wed, 13 Oct 2010 16:18:45 +0200

ecryptfs-utils (83-3) experimental; urgency=low

  * Adding patch from Michael Howe <michael@michaelhowe.org> to use
    getent in ecryptfs-migrate-home instead of manually grepping passwd
    to allow e.g. LDAP auth (Closes: #597229).

 -- Daniel Baumann <daniel@debian.org>  Fri, 17 Sep 2010 23:59:28 +0200

ecryptfs-utils (83-2) unstable; urgency=low

  * Updating standards version to 3.9.0.
  * Calling pam-auth-update at package installation and removal time,
    thanks to Mike Miller <mtmiller@ieee.org> (Closes: #506172).
  * Updating standards version to 3.9.1.

 -- Daniel Baumann <daniel@debian.org>  Wed, 01 Sep 2010 10:06:01 +0200

ecryptfs-utils (83-1) unstable; urgency=low

  * Updating year in copyright file.
  * Updating to standards 3.8.4.
  * Merging upstream version 83.
  * Updating year in copyright file.
  * Simplyfing libecryptfs-dev debhelper install file.
  * Adding build-depends to intltool.
  * Adding new locales to ecryptfs-utils debhelper install file.

 -- Daniel Baumann <daniel@debian.org>  Sat, 20 Mar 2010 07:17:19 +0100

ecryptfs-utils (82-3) unstable; urgency=low

  * Adding explicit debian source version 1.0 until switch to 3.0.
  * Adding debug package.

 -- Daniel Baumann <daniel@debian.org>  Sun, 27 Dec 2009 12:29:02 +0100

ecryptfs-utils (82-2) unstable; urgency=low

  * Correcting rules, the desktop files need to be executable.
  * Updating README.source.
  * Dropping la files.

 -- Daniel Baumann <daniel@debian.org>  Sat, 28 Nov 2009 17:58:06 +0100

ecryptfs-utils (82-1) unstable; urgency=low

  * Merging upstream version 82.
  * Removing gettext.patch, part of new upstream release.
  * Removing ownership.patch, part of new upstream release.

 -- Daniel Baumann <daniel@debian.org>  Sat, 14 Nov 2009 18:13:21 +0100

ecryptfs-utils (81-3) unstable; urgency=low

  * Correcting wrong vcs-browser field.
  * Adding patch from upstream to ecryptfs-setup-private to fix typo
    with gettext.
  * Adding gettext-base to depends.
  * Adding README.source.
  * Adding maintainer fields in copyright.
  * Correcting filename of lintian overrides.
  * Correcting permissions on some shared files.

 -- Daniel Baumann <daniel@debian.org>  Thu, 05 Nov 2009 21:58:53 +0100

ecryptfs-utils (81-2) unstable; urgency=low

  * Adding patch from upstream to ecryptfs-setup-private, in order to
    not incorrectly assume that the home/private directory ownerships
    should be owned by USER:USER but USER:GROUP.
  * Minimizing rules file.
  * Sorting and wrapping depends.

 -- Daniel Baumann <daniel@debian.org>  Sat, 17 Oct 2009 09:21:46 +0200

ecryptfs-utils (81-1) unstable; urgency=low

  * Merging upstream version 81.

 -- Daniel Baumann <daniel@debian.org>  Wed, 14 Oct 2009 08:20:38 +0200

ecryptfs-utils (80-1) unstable; urgency=low

  * Merging upstream version 80.

 -- Daniel Baumann <daniel@debian.org>  Mon, 12 Oct 2009 13:12:06 +0200

ecryptfs-utils (79-1) unstable; urgency=low

  * Removing shlibs file.
  * Merging upstream version 79.

 -- Daniel Baumann <daniel@debian.org>  Sat, 10 Oct 2009 14:07:08 +0200

ecryptfs-utils (78-1) unstable; urgency=low

  * Merging upstream version 78.

 -- Daniel Baumann <daniel@debian.org>  Sun, 04 Oct 2009 12:48:17 +0200

ecryptfs-utils (77-1) unstable; urgency=low

  * Updating to standards version 3.8.3.
  * Merging upstream version 77.
  * Updating maintainer field.
  * Updating vcs fields.
  * Adding libnss3-dev to build-depends.

 -- Daniel Baumann <daniel@debian.org>  Sun, 04 Oct 2009 11:24:48 +0200

ecryptfs-utils (76+debian-1) unstable; urgency=low

  * Merging upstream version 76+debian.
  * Removing mount-password.patch, included in upstream.
  * Adding explicit lfs support to CFLAGS in rules, thanks to
    Nobuhiro Iwamatsu <iwamatsu@nigauri.org> (Closes: #546678).

 -- Daniel Baumann <daniel@debian.org>  Thu, 17 Sep 2009 16:33:29 +0200

ecryptfs-utils (75-2) unstable; urgency=low

  * Using correct rfc-2822 date formats in changelog.
  * Adding patch from upstream to not echo mount passphrase if running
    in bootstrap mode (Closes: #532372).
  * Updating package to standards version 3.8.2.

 -- Daniel Baumann <daniel@debian.org>  Thu, 16 Jul 2009 14:38:55 +0200

ecryptfs-utils (75-1) unstable; urgency=low

  * Dropping own desktop file, it's included upstream again.
  * Updating year in copyright file.
  * Releasing debian version 74-1.
  * Merging upstream version 75.
  * Adding support for pam-auth (Closes: #506172).
  * Dropping desktop file releated workaround in rules, got fixed upstream.
  * Adding manual depends to libnss.
  * Updating author and copyright holder information in copyright file.


