## ecryptfs-utils 92

=== debian/changelog ===
ecryptfs-utils (92-0ubuntu1.2) oneiric-proposed; urgency=low

  * Fix encrypted home/private race condition that could result in encrypted
    filenames not being decrypted, despite the directory being mounted
    correctly otherwise. (LP: #1052038)
    - debian/patches/fix-private-mount-race.patch: Fix race condition by only
      opening the signature file once, rather than opening, reading, and
      closing it for each key signature.

 -- Tyler Hicks <tyhicks@canonical.com>  Tue, 04 Dec 2012 14:13:46 -0600

ecryptfs-utils (92-0ubuntu1.1) oneiric-proposed; urgency=low

  [ Serge Hallyn ]
  * fix infinite loop on arm: fgetc returns an int, and -1 at end of
    options.  Arm makes char unsigned. (LP: #884407)

  [ Michael Terry ]
  * debian/local/ecryptfs-verify, debian/rules:
    - Backport ecryptfs-verify from version 93.  Required to support
      gnome-control-center's check to see if it should display
      the autologin controls.  LP: #576133

 -- Michael Terry <mterry@ubuntu.com>  Thu, 10 Nov 2011 10:33:01 -0500

ecryptfs-utils (92-0ubuntu1) oneiric; urgency=low

  * src/libecryptfs/key_management.c: LP: #725862
    - fix nasty bug affecting users who do *not* encrypt filenames;
      the first login works, but on logout, only one key gets
      cleaned out; subsequent logins do not insert the necessary key
      due to an early "goto out"; this fix needs to be SRU'd
  * debian/rules: LP: #586281
    - fix perms on desktop mount file
  * src/pam_ecryptfs/pam_ecryptfs.c: LP: #838471
    - rework syslogging to be less noisy and note pam_ecryptfs

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 01 Sep 2011 16:25:03 -0500

ecryptfs-utils (91) oneiric; urgency=low

  [ Diego E. "Flameeyes" Pettenò ]
  * configure.ac:
    - fix reliance on nss-config, which hinders cross-compilation

  [ Marc Deslauriers ]
  * src/utils/mount.ecryptfs_private.c:
  * SECURITY UPDATE: wrong mtab ownership and permissions (LP: #830850)
    - debian/patches/CVE-2011-3145.patch: also set gid and umask before
      updating mtab in src/utils/mount.ecryptfs_private.c.
    - CVE-2011-3145

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 31 Aug 2011 16:45:39 -0500

ecryptfs-utils (90) oneiric; urgency=low

  [ Marc Deslauriers ]
  * SECURITY UPDATE: privilege escalation via mountpoint race conditions
    (LP: #732628)
    - debian/patches/CVE-2011-1831,1832,1834.patch: chdir into mountpoint
      before checking permissions in src/utils/mount.ecryptfs_private.c.
    - CVE-2011-1831
    - CVE-2011-1832
  * SECURITY UPDATE: race condition when checking source during mount
    (LP: #732628)
    - debian/patches/CVE-2011-1833.patch: use new ecryptfs_check_dev_ruid
      kernel option when mounting directory in
      src/utils/mount.ecryptfs_private.c.
    - CVE-2011-1833
  * SECURITY UPDATE: mtab corruption via improper handling (LP: #732628)
    - debian/patches/CVE-2011-1831,1832,1834.patch: modify mtab via a temp
      file first and make sure it succeeds before replacing the real mtab
      in src/utils/mount.ecryptfs_private.c.
    - CVE-2011-1834
  * SECURITY UPDATE: key poisoning via insecure temp directory handling
    (LP: #732628)
    - debian/patches/CVE-2011-1835.patch: make sure we don't copy into a
      user controlled directory in src/utils/ecryptfs-setup-private.
    - CVE-2011-1835
  * SECURITY UPDATE: information disclosure via recovery mount in /tmp
    (LP: #732628)
    - debian/patches/CVE-2011-1836.patch: mount inside protected
      subdirectory in src/utils/ecryptfs-recover-private.
    - CVE-2011-1836
  * SECURITY UPDATE: arbitrary file overwrite via lock counter race
    condition (LP: #732628)
    - debian/patches/CVE-2011-1837.patch: verify permissions with a file
      descriptor, and don't follow symlinks in
      src/utils/mount.ecryptfs_private.c.
    - CVE-2011-1837

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 10 Aug 2011 08:37:57 -0500

ecryptfs-utils (89) oneiric; urgency=low

  [ Dustin Kirkland ]
  * debian/control:
    - add missing build dependency needed for release
  * doc/manpage/ecryptfs-wrap-passphrase.1: fix minor error in manpage
  * src/desktop/ecryptfs-find, src/desktop/Makefile.am: LP: #799157
    - add a tool, /usr/share/ecryptfs-utils/ecryptfs-find that can
      help find cleartext/encrypted filenames by inode number
  * src/desktop/ecryptfs-find:
    - test file exists first; ditch the match;
      search all ecryptfs mounts that user can read/traverse
  * debian/ecryptfs-utils.links:
    - add a symlink for Ubuntu
  * scripts/release.sh:
    - improve release script

  [ Serge Hallyn ]
  * Fix from Christophe Dumez: mount.ecryptfs_private: Do not attempt to
    update mtab if it is a symbolic link.  (LP: #789888)

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 19 Jul 2011 14:58:23 -0500

ecryptfs-utils (88) oneiric; urgency=low

  * src/utils/mount.ecryptfs_private.c:
    - reduce the window size for the TOCTOU race;
      does not entirely solve LP: #732628, which is going to need to be
      fixed in the kernel with some heavy locking
  * debian/control: update urls
  * src/utils/ecryptfs-mount-private: LP: #725862
    - fix ecryptfs-mount-private to insert only the fek, if filename
      encryption is disabled

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 14 Mar 2011 14:11:18 -0500

ecryptfs-utils (87) natty; urgency=low

  [ Paolo Bonzini <pbonzini@redhat.com> ]
  * src/utils/ecryptfs-setup-private: update the Private.* selinux
    contexts

  [ Dustin Kirkland ]
  * src/utils/ecryptfs-setup-private:
    - add -p to mkdir, address noise for a non-error
    - must insert keys during testing phase, since we remove keys on
      unmount now, LP: #725862
  * src/utils/ecryptfs_rewrap_passphrase.c: confirm passphrases in
    interactive mode, LP: #667331

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 02 Mar 2011 13:47:52 +0200

ecryptfs-utils (86) natty; urgency=low

  [ Jakob Unterwurzacher ]
  * src/pam_ecryptfs/pam_ecryptfs.c: 

