=== debian/control ===
Source: ecryptfs-utils
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper (>= 7),
 autotools-dev,
 autoconf,
 automake,
 intltool,
 libtool,
 libgcrypt11-dev,
 libglib2.0-dev,
 libkeyutils-dev,
 libnss3-dev,
 libpam0g-dev,
 pkg-config,
 python-dev,
 swig
Standards-Version: 3.8.3
Homepage: https://launchpad.net/ecryptfs
Vcs-Bzr: https://code.launchpad.net/~ecryptfs/ecryptfs/trunk
Vcs-Browser: http://bazaar.launchpad.net/~ecryptfs/ecryptfs/trunk/files

Package: ecryptfs-utils
Section: misc
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 keyutils,
 libnss3-1d,
 libpam-runtime (>= 1.0.1-6),
 gettext-base
Recommends:
 lsof,
 rsync
Suggests:
 cryptsetup,
 opencryptoki
Description: ecryptfs cryptographic filesystem (utilities)
 eCryptfs is a POSIX-compliant enterprise-class stacked cryptographic filesystem
 for Linux.
 .
 It provides advanced key management and policy features. eCryptfs stores
 cryptographic metadata in the header of each file written, so that encrypted
 files can be copied between hosts; the file will be decryptable with the proper
 key, and there is no need to keep track of any additional information aside
 from what is already in the encrypted file itself. Think of eCryptfs as a sort
 of "gnupgfs".
 .
 eCryptfs is a native Linux filesystem. The kernel module component of eCryptfs
 is part of the Linux kernel since 2.6.19.
 .
 This package contains the userland utilities.

Package: libecryptfs0
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: ecryptfs cryptographic filesystem (library)
 eCryptfs is a POSIX-compliant enterprise-class stacked cryptographic filesystem
 for Linux.
 .
 This package contains the library.

Package: libecryptfs-dev
Section: libdevel
Architecture: any
Depends:
 ${misc:Depends},
 libecryptfs0 (= ${binary:Version}),
 libgcrypt11-dev,
 libgpg-error-dev,
 libgpgme11-dev,
 libkeyutils-dev,
 libopencryptoki-dev [alpha amd64 arm armel hppa ia64 i386 m68k mips mipsel powerpc sparc],
 libpam0g-dev,
 libpkcs11-helper1-dev,
 libtspi-dev [alpha amd64 arm armel hppa ia64 i386 m68k mips mipsel powerpc sparc]
Description: ecryptfs cryptographic filesystem (development)
 eCryptfs is a POSIX-compliant enterprise-class stacked cryptographic filesystem
 for Linux.
 .
 This package contains the development files.
