## ecryptfs-utils 93

=== debian/changelog ===
ecryptfs-utils (93-1) unstable; urgency=low

  * Using compression level 9 also for binary packages.
  * Merging upstream version 93.
  * Moving chmod call for setting mount.ecryptfs_private setuid into
    fixperms override, rather than excluding it from fixperms to improve
    readability of rules.
  * Sorting overrides alphabetically in rules.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 29 Oct 2011 07:54:48 +0200

ecryptfs-utils (92-2) unstable; urgency=low

  * Correcting wrong use of dh --with in rules.
  * Temporarily only building module only for python 2.6.
  * Removing obsolete python:Provides from control.
  * Removing unused files of the python extension.
  * Adding breaks and replaces for older ecryptfs-utils in python-
    ecryptfs (Closes: #608597).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 09 Sep 2011 09:11:54 +0200

ecryptfs-utils (92-1) unstable; urgency=low

  * Merging upstream version 92.
  * Updating maintainer and uploaders fields.
  * Removing vcs fields.
  * Removing references to my old email address.
  * Makging packaging distribution neutral.
  * Updating year in copyright file.
  * Compacting copyright file.
  * Dropping unsupported architectures from tpm build-depends.
  * Making packages linux-any.
  * Moving to dh_python2.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 08 Sep 2011 12:19:40 +0200
