## ecryptfs-utils 95

=== debian/changelog ===
ecryptfs-utils (95-1) unstable; urgency=low

  * Merging upstream version 95.
  * Removing manpage.patch, went upstream.
  * Removing pam-doc.patch, went upstream.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 26 Dec 2011 22:54:35 +0100
