=== debian/control ===
--- 
+++ 
@@ -1,24 +1,45 @@
 Source: ecryptfs-utils
 Section: misc
 Priority: optional
-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
+Maintainer: Dustin Kirkland <kirkland@ubuntu.com>
+XSBC-Original-Maintainer: Daniel Baumann <daniel@debian.org>
 Build-Depends:
- debhelper (>= 8), autotools-dev, autoconf, automake, intltool, libtool,
- libgcrypt11-dev, libglib2.0-dev, libgpg-error-dev, libgpgme11-dev,
- libkeyutils-dev, libnss3-dev, libpam0g-dev, libpkcs11-helper1-dev, pkg-config,
- python-dev, swig,
- libopencryptoki-dev [amd64 armel i386 ia64 mips mipsel powerpc sparc],
- libtspi-dev [amd64 armel i386 ia64 mips mipsel powerpc sparc]
+ debhelper (>= 8),
+ autotools-dev,
+ autoconf,
+ automake,
+ intltool,
+ libtool,
+ libgcrypt11-dev,
+ libglib2.0-dev,
+ libkeyutils-dev,
+ libnss3-dev,
+ libpam0g-dev,
+ pkg-config,
+ python-dev,
+ swig
 Standards-Version: 3.9.2
 Homepage: https://launchpad.net/ecryptfs
+Vcs-Bzr: https://code.launchpad.net/~ecryptfs/ecryptfs/trunk
+Vcs-Browser: http://bazaar.launchpad.net/~ecryptfs/ecryptfs/trunk/files
 
 Package: ecryptfs-utils
 Section: misc
-Architecture: linux-any
+Architecture: any
 Depends:
- ${misc:Depends}, ${shlibs:Depends}, gettext-base, keyutils, libnss3-1d,
- libpam-runtime
-Suggests: cryptsetup, opencryptoki
+ ${misc:Depends},
+ ${shlibs:Depends},
+ gettext-base,
+ keyutils,
+ libnss3-1d,
+ libpam-runtime (>= 1.0.1-6)
+Recommends:
+ cryptsetup,
+ lsof,
+ rsync
+Suggests:
+ opencryptoki,
+ keyescrow-client
 Description: ecryptfs cryptographic filesystem (utilities)
  eCryptfs is a POSIX-compliant enterprise-class stacked cryptographic filesystem
  for Linux.
@@ -38,7 +59,7 @@
 Package: ecryptfs-utils-dbg
 Section: debug
 Priority: extra
-Architecture: linux-any
+Architecture: any
 Depends:
  ${misc:Depends}, ecryptfs-utils (= ${binary:Version}),
  libecryptfs0 (= ${binary:Version}), libecryptfs-dev (= ${binary:Version})
@@ -50,8 +71,10 @@
 
 Package: libecryptfs0
 Section: libs
-Architecture: linux-any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: ecryptfs cryptographic filesystem (library)
  eCryptfs is a POSIX-compliant enterprise-class stacked cryptographic filesystem
  for Linux.
@@ -60,12 +83,17 @@
 
 Package: libecryptfs-dev
 Section: libdevel
-Architecture: linux-any
+Architecture: any
 Depends:
- ${misc:Depends}, libecryptfs0 (= ${binary:Version}), libgcrypt11-dev,
- libgpg-error-dev, libgpgme11-dev, libkeyutils-dev, libpam0g-dev,
+ ${misc:Depends},
+ libecryptfs0 (= ${binary:Version}),
+ libgcrypt11-dev,
+ libgpg-error-dev,
+ libgpgme11-dev,
+ libkeyutils-dev,
+ libopencryptoki-dev [alpha amd64 arm armel hppa ia64 i386 m68k mips mipsel powerpc sparc],
+ libpam0g-dev,
  libpkcs11-helper1-dev,
- libopencryptoki-dev [alpha amd64 arm armel hppa ia64 i386 m68k mips mipsel powerpc sparc],
  libtspi-dev [alpha amd64 arm armel hppa ia64 i386 m68k mips mipsel powerpc sparc]
 Description: ecryptfs cryptographic filesystem (development)
  eCryptfs is a POSIX-compliant enterprise-class stacked cryptographic filesystem
