## ecryptfs-utils 99

=== debian/changelog ===
ecryptfs-utils (99-1+deb7u1) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * CVE-2016-1572: privilege escalation by mounting over /proc/$pid.

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 18 Jan 2016 21:28:39 +0100

ecryptfs-utils (99-1) unstable; urgency=low

  * Merging upstream version 99:
    - force the MS_NOSUID mount flag in mount.ecryptfs_private to protect
      against user controlled lower filesystems, such as an auto mounted
      USB drive, that may contain a setuid-root binary, CVE-2012-3409
      (Closes: #682220)

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 20 Jul 2012 15:31:43 +0200

ecryptfs-utils (98-2) unstable; urgency=low

  * Renaming local kmod configuration file.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 29 Jun 2012 16:42:42 +0200

ecryptfs-utils (98-1) unstable; urgency=low

  * Merging upstream version 98:
    - removes outdated documentation (Closes: #649544).
  * Updating GPL boilerplate in copyright file.
  * Switching to xz compression.
  * Adding missing symlink to _libecryptfs.so.0.0.0 in python-ecryptfs
    (Closes: #677248).
  * Automatically loading ecryptfs kernel module with kmod (Closes:
    #640745).
  * Simplyfing backports compatible use of multiarch debhelper install
    files.
  * Dropping opencryptoki handling, there is no opencryptoki support
    anymore in upstream code.
  * Removing obsolete architecture specifics in trousers build-depends and
    depends.
  * Enable trousers support.
  * Sorting configure flags.
  * Trimming debhelper install override.
  * Adding missing symlink to _libecryptfs.so in python-ecryptfs
    (Closes: #677248).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 29 Jun 2012 14:04:33 +0200

ecryptfs-utils (97-1) unstable; urgency=low

  * Merging upstream version 97.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 21 Jun 2012 13:17:46 +0200

ecryptfs-utils (96-1) unstable; urgency=low

  * Merging upstream version 96.
  * Updating to debhelper version 9.
  * Updating to standards version 3.9.3.
  * Updating copyright file machine-readable format version 1.0.
  * Removing leading slashes from debhelper install entries.
  * Disabling hardening build flags temporarily to avoid FTBFS.
  * Updating packaging for multiarch.
  * Removing /var/lib/ecryptfs on purge (Closes: #668738).
  * Updating lintian overrides.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 18 May 2012 13:32:14 +0200
