=== debian/control ===
Source: ecryptfs-utils
Section: misc
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
Build-Depends:
 debhelper (>= 9), autotools-dev, autoconf, automake, intltool, libtool,
 libgcrypt11-dev, libglib2.0-dev, libgpg-error-dev, libgpgme11-dev,
 libkeyutils-dev, libnss3-dev, libpam0g-dev, libpkcs11-helper1-dev, pkg-config,
 python-dev, swig, libtspi-dev
Standards-Version: 3.9.3
Homepage: https://launchpad.net/ecryptfs

Package: ecryptfs-utils
Section: misc
Architecture: linux-any
Depends:
 ${misc:Depends}, ${shlibs:Depends}, gettext-base, keyutils, libnss3-1d,
 libpam-runtime
Suggests: cryptsetup
Description: ecryptfs cryptographic filesystem (utilities)
 eCryptfs is a POSIX-compliant enterprise-class stacked cryptographic filesystem
 for Linux.
 .
 It provides advanced key management and policy features. eCryptfs stores
 cryptographic metadata in the header of each file written, so that encrypted
 files can be copied between hosts; the file will be decryptable with the proper
 key, and there is no need to keep track of any additional information aside
 from what is already in the encrypted file itself. Think of eCryptfs as a sort
 of "gnupgfs".
 .
 eCryptfs is a native Linux filesystem. The kernel module component of eCryptfs
 is part of the Linux kernel since 2.6.19.
 .
 This package contains the userland utilities.

Package: ecryptfs-utils-dbg
Section: debug
Priority: extra
Architecture: linux-any
Depends:
 ${misc:Depends}, ecryptfs-utils (= ${binary:Version}),
 libecryptfs0 (= ${binary:Version}), libecryptfs-dev (= ${binary:Version})
Description: ecryptfs cryptographic filesystem (utilities; debug)
 eCryptfs is a POSIX-compliant enterprise-class stacked cryptographic filesystem
 for Linux.
 .
 This package contains the debugging symbols.

Package: libecryptfs0
Section: libs
Architecture: linux-any
Pre-Depends: multiarch-support
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: ecryptfs cryptographic filesystem (library)
 eCryptfs is a POSIX-compliant enterprise-class stacked cryptographic filesystem
 for Linux.
 .
 This package contains the library.

Package: libecryptfs-dev
Section: libdevel
Architecture: linux-any
Depends:
 ${misc:Depends}, libecryptfs0 (= ${binary:Version}), libgcrypt11-dev,
 libgpg-error-dev, libgpgme11-dev, libkeyutils-dev, libpam0g-dev,
 libpkcs11-helper1-dev, libtspi-dev
Description: ecryptfs cryptographic filesystem (development)
 eCryptfs is a POSIX-compliant enterprise-class stacked cryptographic filesystem
 for Linux.
 .
 This package contains the development files.

Package: python-ecryptfs
Section: python
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}
Breaks: ecryptfs-utils (<< 87-1~)
Replaces: ecryptfs-utils (<< 87-1~)
Description: ecryptfs cryptographic filesystem (python)
 eCryptfs is a POSIX-compliant enterprise-class stacked cryptographic filesystem
 for Linux.
 .
 This package contains the python module.
